gnutls_privkey_init(3)

NAME
gnutls_privkey_init - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_init(gnutls_privkey_t * key);

ARGUMENTS

gnutls_privkey_t * key
    A pointer to the type to be initialized

DESCRIPTION
This function will initialize a private key object. The object can be used to generate, import, and perform cryptographic operations on the associated private key. Note that when the underlying private key is a PKCS11 key (i.e., when imported with a PKCS11 URI), the limitations of gnutls_pkcs11_privkey_init() apply to this object as well. In versions of GnuTLS later than 3.5.11 the object is protected using locks and a single gnutls_privkey_t can be re-used by many threads. However, for performance it is recommended to utilize one object per key per thread.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/